Bug 1260938 - [DOCS] OSE 3.0 administrator guide: no info provided about IP addressing for HA
[DOCS] OSE 3.0 administrator guide: no info provided about IP addressing for HA
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.0.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: brice
Meng Bo
Vikram Goyal
https://access.redhat.com/documentati...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-08 05:27 EDT by Evgheni Dereveanchin
Modified: 2017-08-03 23:22 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-03 23:22:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Evgheni Dereveanchin 2015-09-08 05:27:51 EDT
Document URL: 
 https://access.redhat.com/documentation/en/openshift-enterprise/version-3.0/openshift-enterprise-30-administrator-guide/chapter-14-high-availability
Section Number and Name: 
 CHAPTER 14. HIGH AVAILABILITY
  14.2.1. Configuring a Highly-available Routing Service
  14.2.2. Configuring a Highly-availabile Network Service
  
Describe the issue: 
 --virtual-ips is not described. It proposes a range "10.245.2.101-105" but does not describe if this should be a routable IP, internal IP, node's IP or something else
Suggestions for improvement: 
 remove confusion by describing what this IP range can be
Comment 4 brice 2017-07-19 01:24:50 EDT
Evgheni,

Seems there's a section about Virtual IPs from 3.4 onwards:

https://docs.openshift.com/container-platform/3.5/admin_guide/high_availability.html#virtual-ips

I can backport this into the 3.0 -> 3.3 docs. But in your opinion, is this enough information for this BZ? Would there be anything more information needed?

I can also add footnotes to the procedures if you think it's needed. Much like the example in the "Deploy IP Failover Pod" section here:

https://docs.openshift.com/container-platform/3.5/admin_guide/high_availability.html#configuring-a-highly-available-service

(Scroll down a little).

Please let me know if I'm off the mark and it requires more efforts.
Comment 5 Evgheni Dereveanchin 2017-07-19 03:46:29 EDT
Hi Brice,

This looks good to me. Feel free to decide if this needs to be backported to older version documentation: it's important for new deployments and those typically use the latest version.
Comment 6 Eric Rich 2017-07-19 11:22:25 EDT
How far back is QE testing these procedures? IMO thats how far back we should backport this.
Comment 7 brice 2017-07-19 23:46:35 EDT
Eric, I'm not sure if I can answer that question. I can see why the information might be needed though.

Meng Bo, do you know if this section of the docs would be tested? Wondering how far back the changes would be needed in the 3.0 -> 3.3 documentation. Thanks!
Comment 8 Meng Bo 2017-08-01 01:44:17 EDT
Hi, the requirements described in 3.5 doc[1] are also available for all old versions of OCP. We can backport it.

[1]https://docs.openshift.com/container-platform/3.5/admin_guide/high_availability.html#virtual-ips
Comment 9 brice 2017-08-02 01:45:00 EDT
OK. I added a section about virtual IPs directly onto the 3.0-3.3 branches. You can see it here:

https://github.com/openshift/openshift-docs/blob/enterprise-3.3/admin_guide/high_availability.adoc#virtual-ips

(I added the same to all four branches, so I won't link them all.)

It's essentially the paragraph from the 3.4 -> Current docs, but I added the environment variable from the table. Evgheni, is there anything more you think is needed for this BZ?
Comment 10 Evgheni Dereveanchin 2017-08-03 04:15:33 EDT
Looks OK to me, thank you for backporting it.
Comment 11 brice 2017-08-03 23:22:29 EDT
Great! Thanks, Evgheni. I'll move this BZ to complete.

Link to released docs:

https://access.redhat.com/documentation/en-us/openshift_enterprise/3.1/html-single/cluster_administration/#virtual-ips

Note You need to log in before you can comment on or make changes to this bug.